project:
  name: project
  plural_name: projects
  collection: saasservicemgmt.projects
  attributes:
  - &project
    parameter_name: projectsId
    attribute_name: project
    help: Project ID
    property: core/project
  disable_auto_completers: true

project_location:
  name: location
  plural_name: locations
  collection: saasservicemgmt.projects.locations
  attributes:
  - *project
  - &location
    parameter_name: locationsId
    attribute_name: location
    help: Location ID
  disable_auto_completers: true

# This is for the 'parent' argument for list commands. It is the same as project_location, but with
# a default value of '-' to support fanout when the parent isn't specified.
project_location_with_default:
  name: location
  plural_name: locations
  collection: saasservicemgmt.projects.locations
  attributes:
  - *project
  - &project_location_with_default
    parameter_name: locationsId
    attribute_name: location
    help: Location ID
    fallthroughs:
    - value: "-"
      hint: |-
        if left empty, will use the wildcard '-' to list all locations
  disable_auto_completers: true

flag:
  name: flag
  plural_name: flags
  collection: saasservicemgmt.projects.locations.flags
  attributes:
  - *project
  - *location
  - &flagId
    parameter_name: flagsId
    attribute_name: flag
    help: Flag ID
  disable_auto_completers: false

flag_release:
  name: flagRelease
  plural_name: flagReleases
  collection: saasservicemgmt.projects.locations.flagReleases
  attributes:
  - *project
  - *location
  - &flagRelease
    parameter_name: flagReleasesId
    attribute_name: flag_release
    help: Flag Release ID
  disable_auto_completers: false

flag_revision:
  name: flagRevision
  plural_name: flagRevisions
  collection: saasservicemgmt.projects.locations.flagRevisions
  attributes:
  - *project
  - *location
  - &flagRevision
    parameter_name: flagRevisionsId
    attribute_name: flag_revision
    help: Flag Revision ID
  disable_auto_completers: false

flag_attribute:
  name: flagAttribute
  plural_name: flagAttributes
  collection: saasservicemgmt.projects.locations.flagAttributes
  attributes:
  - *project
  - *location
  - &flagAttribute
    parameter_name: flagAttributesId
    attribute_name: flag_attribute
    help: Flag Attribute ID
  disable_auto_completers: false

rollout_kind:
  name: rolloutKindId
  plural_name: rolloutKinds
  collection: saasservicemgmt.projects.locations.rolloutKinds
  attributes:
  - *project
  - *location
  - &rolloutKindId
    parameter_name: rolloutKindsId
    attribute_name: rollout_kind
    help: Rollout Kind ID.
  disable_auto_completers: false

rollout:
  name: rolloutId
  plural_name: rollouts
  collection: saasservicemgmt.projects.locations.rollouts
  attributes:
  - *project
  - *location
  - &rolloutId
    parameter_name: rolloutsId
    attribute_name: rollout
    help: Rollout ID
  disable_auto_completers: false

saas:
  name: saas
  plural_name: saas
  collection: saasservicemgmt.projects.locations.saas
  attributes:
  - *project
  - *location
  - &saas
    parameter_name: saasId
    attribute_name: saas
    help: Saas ID
  disable_auto_completers: false

tenant:
  name: tenant
  plural_name: tenants
  collection: saasservicemgmt.projects.locations.tenants
  attributes:
  - *project
  - *location
  - &tenant
    parameter_name: tenantsId
    attribute_name: tenant
    help: Tenant ID
  disable_auto_completers: false

unit_kind:
  name: unitKind
  plural_name: unitKinds
  collection: saasservicemgmt.projects.locations.unitKinds
  attributes:
  - *project
  - *location
  - &unitKind
    parameter_name: unitKindsId
    attribute_name: unit_kind
    help: Unit Kind ID
  disable_auto_completers: false

unit:
  name: unit
  plural_name: units
  collection: saasservicemgmt.projects.locations.units
  attributes:
  - *project
  - *location
  - &unit
    parameter_name: unitsId
    attribute_name: unit
    help: Unit ID
  disable_auto_completers: false

unit_operation:
  name: unitOperation
  plural_name: unitOperations
  collection: saasservicemgmt.projects.locations.unitOperations
  attributes:
  - *project
  - *location
  - &unitOperation
    parameter_name: unitOperationsId
    attribute_name: unit_operation
    help: Unit Operation ID
  disable_auto_completers: false

parent_unit_operation:
  name: parentUnitOperation
  plural_name: parentUnitOperations
  collection: saasservicemgmt.projects.locations.unitOperations
  attributes:
  - *project
  - *location
  - &parentUnitOperation
    parameter_name: unitOperationsId
    attribute_name: unit_operation
    help: Unit Operation ID
  disable_auto_completers: false

release:
  name: release
  plural_name: releases
  collection: saasservicemgmt.projects.locations.releases
  attributes:
  - *project
  - *location
  - &release
    parameter_name: releasesId
    attribute_name: release
    help: Release ID
  disable_auto_completers: false

operation:
  name: operation
  plural_name: operations
  collection: saasservicemgmt.projects.locations.operations
  attributes:
  - *project
  - *location
  - &operation
    parameter_name: operationsId
    attribute_name: operation
    help: Operation ID
  disable_auto_completers: false
